/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2011, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@gmail.com
-------------------------------------------------------------------------------*/

#include "LPC17xx.h"
#include "bsp.h"
#include "core.h"
#include "uart.h"
#include "libucstrings.h"
#define __delay(t) for(volatile int i=0;i<t;i++);


int main (void) 
{
	bsp_init();
	uartsetbaudrate(UART0,38400);
	int i = 0;
	while(1)
	{
		LED1_OFF;
		LED2_ON;
		LED3_OFF;
		LED4_ON;
		LED5_OFF;
		LED6_ON;
		LED7_OFF;
		LED8_ON;
		//uartputs(UART2,"Hello World\n\r");
		libucprintf("test %d \n\r",i++);
		__delay(1024*1024);		
		LED1_ON;
		LED2_OFF;
		LED3_ON;
		LED4_OFF;
		LED5_ON;
		LED6_OFF;
		LED7_ON;
		LED8_OFF;
		//uartputs(UART0,"Hello World\n\r");
		libucprintf("test %d \n\r",i++);
		__delay(1024*1024);
	}
	return 0;
  
}

